reSIDfp::Integrator8580 Class Reference

`#include <Integrator8580.h>`

## Public Member Functions

| Integrator8580 (const unsigned short *opamp_rev, double Vth, double nKp, double vmin, double N16)
void | setFc (double wl)
void | setV (double v)
int | solve (int vi) const

## Detailed Description

8580 integrator

                  +---C---+
                  |       |
    vi -----Rfc---o--[A>--o-- vo
                  vx

    IRfc + ICr = 0
    IRfc + C*(vc - vc0)/dt = 0
    dt/C*(IRfc) + vc - vc0 = 0
    vc = vc0 - n*(IRfc(vi,vx))
    vc = vc0 - n*(IRfc(vi,g(vc)))

IRfc = K*W/L*(Vgst^2 - Vgdt^2) = n*((Vddt - vx)^2 - (Vddt - vi)^2)

Rfc gate voltage is generated by an OP Amp and depends on chip temperature.

## Member Function Documentation

## setV()

void reSIDfp::Integrator8580::setV | ( | double | v | ) |

inline

Set FC gate voltage multiplier.

The documentation for this class was generated from the following file:

- Integrator8580.h